SmartDocumentFilter (Groovy 5.1.0)

Package: groovy.console.ui.text

## [Java] Class SmartDocumentFilter

- groovy.console.ui.text.SmartDocumentFilter

-     public class SmartDocumentFilter
      extends DocumentFilter

  The document filter based on Parrot's lexer is for highlighting the content of text editor

  Since:
    3.0.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static List<Integer>` | `HIGHLIGHTED_TOKEN_TYPE_LIST` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SmartDocumentFilter(DefaultStyledDocument styledDocument)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public List<Token>` | `getLatestTokenList()`
    `` | `public Tuple2<Integer, Integer>` | `getRenderRange()`
    `` | `public void` | `insertString(DocumentFilter.FilterBypass fb, int offset, String text, AttributeSet attrs)`
    `` | `public boolean` | `isLatest()`
    `` | `public void` | `remove(DocumentFilter.FilterBypass fb, int offset, int length)`
    `` | `public void` | `replace(DocumentFilter.FilterBypass fb, int offset, int length, String text, AttributeSet attrs)`
    `` | `public void` | `setRenderRange(Tuple2<Integer, Integer> renderRange)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class DocumentFilter` | `equals, getClass, hashCode, insertString, notify, notifyAll, remove, replace, toString, wait, wait, wait`

- - ### Field Detail

    - #### public static final List<Integer> HIGHLIGHTED_TOKEN_TYPE_LIST

  - ### Constructor Detail

    - #### public SmartDocumentFilter(DefaultStyledDocument styledDocument)

  - ### Method Detail

    - #### public List<Token> getLatestTokenList()

    - #### public Tuple2<Integer, Integer> getRenderRange()

    - #### @Override
      public void insertString(DocumentFilter.FilterBypass fb, int offset, String text, AttributeSet attrs)

    - #### public boolean isLatest()

    - #### @Override
      public void remove(DocumentFilter.FilterBypass fb, int offset, int length)

    - #### @Override
      public void replace(DocumentFilter.FilterBypass fb, int offset, int length, String text, AttributeSet attrs)

    - #### public void setRenderRange(Tuple2<Integer, Integer> renderRange)